__gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >(3)

NAME
__gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash > - Base class for conditionally defining a static data member.

SYNOPSIS

Inherited by __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, Store_Hash >, and __gnu_pbds::detail::types_traits< Key, Mapped, _Alloc, false >.

Detailed Description

  template<typename Key, typename Mapped, typename _Alloc, bool Store_Hash>
struct __gnu_pbds::detail::maybe_null_type< Key, Mapped, _Alloc, Store_Hash >" Base class for conditionally defining a static data member.

Definition at line 121 of file types_traits.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.